Bug 219031 - www/selenium: Update to 3.4.0 + overhaul
Summary: www/selenium: Update to 3.4.0 + overhaul
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-03 05:15 UTC by Daniel Ylitalo
Modified: 2017-08-17 03:00 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Patch that brings the port up to 3.4.0 from 0.6.1 (17.87 KB, patch)
2017-05-03 05:15 UTC, Daniel Ylitalo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Ylitalo 2017-05-03 05:15:16 UTC
Created attachment 182264 [details]
Patch that brings the port up to 3.4.0 from 0.6.1

As this port hasn't been updated in over 10 years I'm grabbing maintainership and bringing it up to date.

Updated port passes portlint -AC and poudriere testport
Comment 1 Kurt Jaeger freebsd_committer 2017-05-06 18:08:56 UTC
testbuilds are ok
Comment 2 Daniel Ylitalo 2017-08-14 09:03:21 UTC
Is there anyone that could taking care of this one? 3 months old now :)
Comment 3 Kurt Jaeger freebsd_committer 2017-08-14 13:05:56 UTC
I'll work on it.
Comment 4 commit-hook freebsd_committer 2017-08-14 18:54:32 UTC
A commit references this bug:

Author: pi
Date: Mon Aug 14 18:53:52 UTC 2017
New revision: 447957
URL: https://svnweb.freebsd.org/changeset/ports/447957

Log:
  www/selenium: update 0.6.1 -> 3.4.0

  PR:		219031
  Relnotes:	https://github.com/SeleniumHQ/selenium/releases
  Submitted by:	Daniel Ylitalo <daniel@blodan.se>
  Approved by:	kaworu@users.sourceforge.jp (maintainer timeout)

Changes:
  head/www/selenium/Makefile
  head/www/selenium/distinfo
  head/www/selenium/files/pkg-message.in
  head/www/selenium/files/selenium.in
  head/www/selenium/pkg-descr
  head/www/selenium/pkg-plist
Comment 5 Kurt Jaeger freebsd_committer 2017-08-14 18:55:52 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2017-08-17 03:00:10 UTC
A commit references this bug:

Author: pi
Date: Thu Aug 17 02:59:33 UTC 2017
New revision: 448077
URL: https://svnweb.freebsd.org/changeset/ports/448077

Log:
  www/selenium: add UIDs and GIDs

  - Missed in the first commit

  PR:		219031
  Submitted by:	Daniel Ylitalo <daniel@blodan.se>

Changes:
  head/GIDs
  head/UIDs